# Class ELNode.Visitor

java.lang.Object
org.apache.jasper.compiler.ELNode.Visitor

Enclosing class:
  `ELNode`

public static class ELNode.Visitor extends Object

Author:
  Kin-man Chung

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Visitor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `visit(ELNode.ELText n)`
  `void`
  `visit(ELNode.Function n)`
  `void`
  `visit(ELNode.Root n)`
  `void`
  `visit(ELNode.Text n)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Visitor

    public Visitor()

- ## Method Details

  - ### visit

    public void visit(ELNode.Root n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(ELNode.Function n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(ELNode.Text n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(ELNode.ELText n) throws JasperException
    Throws:
      `JasperException`